/***
 * Copyright (C) 1997,98 -- Miroslav Zagorac  <zaga@fly.cc.fer.hr>
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef DEBUG
#  include <stdio.h>
#  include <string.h>
#endif

#include "lib_options.h"


short use_syslog    = 0;
short use_perror    = 0;
short verbose_level = 0;


#ifdef DEBUG

#ifdef ANSI_FUNC

char *strfunc_ret (short func_retval)
#else

char *strfunc_ret (func_retval)
   short func_retval;
#endif
{
   static char *retval_names[] =
   {
      "FUNC_RET_OK",       /* 0 */
      "FUNC_RET_WARNING",  /* 1 */
      "FUNC_RET_ERROR",    /* 2 */
      "unknown"            /* 3 */
   };
   static char buffer[128];

   (void) sprintf (buffer, "%s (%d)", (func_retval < 0) ? strerror (-func_retval) : retval_names[(func_retval > FUNC_RET_ERROR) ? (FUNC_RET_ERROR + 1) : func_retval], func_retval);

   return (buffer);
}


#ifdef ANSI_FUNC

char *strcomm_ret (short command)
#else

char *strcomm_ret (command)
   short command;
#endif
{
   static char *command_names[] =
   {
      "COMM_TIMEOUT",       /* 0 */
      "COMM_CONNECT",       /* 1 */
      "COMM_DISCONNECT",    /* 2 */
      "COMM_MESSAGE",       /* 3 */
      "COMM_ANSWER",        /* 4 */
      "COMM_SERVER_KILL",   /* 5 */
      "unknown"             /* 6 */
   };
   static char buffer[32];

   (void) sprintf (buffer, "%s (%d)", command_names[(command > 5) ? 6 : command], command);

   return (buffer);
}

#endif /* DEBUG */
